Skip to main content

Lookup Entries

Search for Lookup Entries

Use the endpoint below to list specific data map entries without downloading the entire mapping. The response contains a list of map entries having primary key values matching entry_key path component. This approach is more efficient than retrieving entire lookups when you only need specific entries.

[
{
"OrderNo": "ORD001",
"Price": "25.99",
"key": "ORD001_1",
"ItemNo": "1",
"Qty": "5"
}
]

Include a comma-separated list of entry keys to retrieve multiple entries. This batch retrieval approach improves efficiency when you need to access multiple lookup entries simultaneously.

List Lookup Entries: Request
GET /data_maps/{data_map_id}/entries/{entry_key}[,{entry_key}...]
...
Example Request Payload: 1
GET /data_maps/1001/entries/ORD001_1
...
Example Request Payload: 2
GET /data_maps/1001/entries/ORD001_1,ORD002_1
List Lookup Entries: Response
[
{
"OrderNo": "ORD001",
"Price": "25.99",
"key": "ORD001_1",
"ItemNo": "1",
"Qty": "5"
},
{
"OrderNo": "ORD002",
"Price": "19.99",
"key": "ORD002_1",
"Qty": "3",
"ItemNo": "1"
}
]

The entry_key path component may contain a simple matching expression with * wildcard characters. The response will contain entries whose primary key value matches the wildcard pattern. This pattern matching capability allows for flexible and efficient lookup entry retrieval.

List Lookup Entries With Wildcard: Request
...Example Request
GET /data_maps/1001/entries/ORD001_*,*_4
List Lookup Entries With Wildcard: Response
[
{
"OrderNo": "ORD001",
"Price": "25.99",
"key": "ORD001_1",
"ItemNo": "1",
"Qty": "5"
},
{
"OrderNo": "ORD001",
"Price": "15.50",
"key": "ORD001_3",
"ItemNo": "3",
"Qty": "2"
},
{
"OrderNo": "ORD001",
"Price": "12.75",
"key": "ORD001_2",
"ItemNo": "2",
"Qty": "8"
},
{
"OrderNo": "ORD002",
"Price": "29.99",
"key": "ORD002_4",
"ItemNo": "4",
"Qty": "1"
}
]

Set Lookup Entries

To update or add specific mapping entries without replacing the entire data map, issue a PUT request to the /data_maps/<data_map_id>/entries endpoint with a list of map entry objects in the entries attribute of the request body. This targeted approach allows you to modify only the specific entries that need changes.

Note: This endpoint supports updating entries on dynamic lookups, but any entries added or updated this way could be overwritten as a result of data written to the map's data destination. Use with caution.

The PUT response contains a list of entries that were successfully set in the lookup.

Set Lookup Entries: Request
PUT /data_maps/{data_map_id}/entries
Set Lookup Entries: Response
{
"entries": [
{
"OrderNo": "ORD002",
"Price": "29.99",
"key": "ORD002_4",
"ItemNo": "4",
"Qty": "1"
},
{
"OrderNo": "ORD002",
"Price": "19.99",
"key": "ORD002_1",
"ItemNo": "1",
"Qty": "3"
}
]
}

Delete Lookup Entries

To delete specific mapping entries without replacing the entire lookup, issue a DELETE request to the /data_maps/<data_map_id>/entries/<entry_key> endpoint. This selective deletion approach maintains lookup integrity while removing only the specified entries.

Delete Lookup Entries: Request
GET /data_maps/{data_map_id}/entries/{entry_key}[,{entry_key}...]
...
Example Request: 1
DELETE /data_maps/1001/entries/ORD001_1,ORD001_2

Delete Lookup Entries: Response
The DELETE response is HTTP 200 and an empty body, unless the data map is invalid.

Note This endpoint supports deleting entries from dynamic lookups, but any entries removed this way could be re-added as a result of data written to the lookup's data destination. Use with caution.

Wildcards cards are not supported in the entries keys passed in DELETE requests.

Download Lookup Entries

Use the method below to download the lookup content in csv format for a given data_map_id. This export functionality allows you to backup lookup data or analyze it in external tools.

Download Lookup Entries: Request
GET /data_maps/<data_map_id>/download_map
Download Lookup Entries: Response
OrderNo,Price,ItemNo,Qty
ORD001,25.99,1,5
ORD002,19.99,1,3

View Sample Lookup Entries

While the methods allowing searching for lookup entries empower you to check whether the lookup contains specific entries or not, you can also fetch a batch of samples from the lookup by calling the method below. Set the field name and pagination info to fetch samples matching the filter criteria. This sampling approach is useful for data exploration and validation.

View Sample Lookup Entries: Request
POST /data_maps/<data_map_id>/probe/sample?page=1&per_page=10
...
Request Payload:
{
"id.field.name": "*" or field name
}

View Sample Lookup Entries: Response
{
"status": 200,
"message": "Ok",
"output": {
"response": "{\"last_name\":\"Montoya\",\"id\":\"122\",\"balance\":\"63789\",\"first_name\":\"Laith\",\"age\":\"53\",\"email\":\"varius.orci@arcu.com\",\"join_date\":\"891568916000\"}\n{\"last_name\":\"Roberson\",\"id\":\"104\",\"balance\":\"50849\",\"first_name\":\"Penelope\",\"age\":\"85\",\"join_date\":\"1516996039000\",\"email\":\"ante@vitaedolor.co.uk\"}",
"statusCode": 200,
"contentType": "application/json"
}
}